#include "config.h"

// settings for energy display
cfg_int cfg_color_spectrum_low("color_low", RGB(58,24,69));
cfg_int cfg_color_spectrum_high("color_high", RGB(253,255,161));
cfg_int cfg_color_grid_line("color_grid_line", RGB(192,192,192));
cfg_int cfg_color_grid_bg("color_grid_bg", RGB(0,0,0));
cfg_string cfg_gradient("gradient", "HSV counterclockwise");
cfg_int cfg_compensation("compensation",1);
cfg_int cfg_toggle_scroll("scroll", 1);

// settings for frequency scale: 0..500 -> 0.00=linear, 0.01 .. 5.00
cfg_int cfg_range("range",0);

// the display mode (duh)
cfg_int cfg_display_mode("display_mode", DISPLAY_ALL_CHANNELS);

// how many consecutive lagged chunks are still processed
cfg_int cfg_lagged_chunks_threshold("lagged_chunks_threshold", 2);

