#ifndef FOO_VIS_SIMPLE_SPECTRUM_H
#define FOO_VIS_SIMPLE_SPECTRUM_H

#include "../SDK/foobar2000.h"

// settings for energy display
extern cfg_int cfg_color_spectrum_low;
extern cfg_int cfg_color_spectrum_high;
extern cfg_int cfg_color_grid_line;
extern cfg_int cfg_color_grid_bg;
extern cfg_string cfg_gradient;
extern cfg_int cfg_compensation;
extern cfg_int cfg_toggle_scroll;

// settings for frequency scale: 0..500 -> 0.00=linear, 0.01 .. 5.00
extern cfg_int cfg_range;

enum display_mode_t
{
	DISPLAY_ALL_CHANNELS,
	DISPLAY_MIXDOWN,
	DISPLAY_DIFFERENCE, // mean squared difference
};

// the display mode (duh)
extern cfg_int cfg_display_mode;

// how many consecutive lagged chunks are still processed
extern cfg_int cfg_lagged_chunks_threshold;


#endif // !FOO_VIS_SIMPLE_SPECTRUM_H
