#ifndef FOO_VIS_SIMPLE_SPECTRUM_FFT_H
#define FOO_VIS_SIMPLE_SPECTRUM_FFT_H

#include "../SDK/foobar2000.h"

class NOVTABLE spectrum : public service_base {
public:
	virtual const char * get_name()=0;
	virtual bool run(const vis_chunk * in, vis_chunk * out)=0;

	static spectrum * create(const char * name); // need to service_release returned value

	static const GUID guid;
	static const GUID & get_class_guid() {return guid;}
};

template<class T>
class spectrum_factory : public service_factory_t< spectrum, T > {};

#endif /* !FOO_VIS_SIMPLE_SPECTRUM_FFT_H */
